/* config.h.  Generated automatically by configure.  */
/* config.h.in.  Generated automatically from configure.in by autoheader.  */

/* The number of bytes in a char.  */
#define SIZEOF_CHAR 1

/* The number of bytes in a char *.  */
#define SIZEOF_CHAR_P 4

/* The number of bytes in a int.  */
#define SIZEOF_INT 4

/* The number of bytes in a long.  */
#define SIZEOF_LONG 4

/* Define if you have the res_init function.  */
#define HAVE_RES_INIT 1

/* Name of package */
#define PACKAGE "kwix-1.0.9tv"

/* Version number of package */
#define VERSION "2.2"

/* C++ compiler supports template repository */
#define HAVE_TEMPLATE_REPOSITORY 1

/* Defines if your system has the crypt function */
#define HAVE_CRYPT 1

/* Define the real type of socklen_t */
/* #undef socklen_t */

/* Compatibility define */
#define ksize_t socklen_t

/* Define if you have libz */
#define HAVE_LIBZ 1

/* Define if you want Xinerama support */
/* #undef HAVE_XINERAMA */

/* Define if you have libpng */
#define HAVE_LIBPNG 1

/* Define if you have libjpeg */
#define HAVE_LIBJPEG 1


/* this is needed for Solaris and others */
#ifndef HAVE_GETDOMAINNAME
#define HAVE_GETDOMAINNAME
#ifdef __cplusplus  
extern "C" 
#endif
int getdomainname (char *Name, int Namelen);
#endif  

#ifndef HAVE_GETHOSTNAME
#define HAVE_GETHOSTNAME
#ifdef __cplusplus  
extern "C" 
#endif
int gethostname (char *Name, int Namelen);
#endif  

#ifndef HAVE_SETENV
#define HAVE_SETENV
int setenv(const char *name, const char *value, int overwrite);
#endif

#ifndef HAVE_UNSETENV
#define HAVE_UNSETENV
int unsetenv(const char *name);
#endif

/*
 * jpeg.h needs HAVE_BOOLEAN, when the system uses boolean in system
 * headers and I'm too lazy to write a configure test as long as only
 * unixware is related
 */
#ifdef _UNIXWARE
#define HAVE_BOOLEAN
#endif

#if !defined(HAVE_SETEUID)
#define seteuid(_eu) setresuid(-1, _eu, -1)
#endif

#ifndef HAVE_S_ISSOCK
#define HAVE_S_ISSOCK
#define S_ISSOCK(mode) (1==0)
#endif

#ifdef __osf__
#ifndef OSF_INT32_DEFINED
#define OSF_INT32_DEFINED
typedef int int32_t;
#endif
#ifndef HAVE_USLEEP                 /* usleep not defined in Tru64  */ 
#ifdef __cplusplus  
extern "C" void usleep(unsigned int);
#else
void usleep(unsigned int);
#endif
#endif
#endif

/*
 * AIX defines FD_SET in terms of bzero, but fails to include <strings.h>
 * that defines bzero. 
 */

#if defined(_AIX)
#include <strings.h>
#endif
